Summary
Exports a template document.
Description
Exports a template document.
Route
GET /automation-studio/templates/:id/export
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Template id. |
Copied to Clipboard
{
"type": "object",
"properties": {},
"required": [],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| exported |
object |
Exported representation of the template. |
Copied to Clipboard
{
"_id": "b61b5d21adbdf570dae73be3",
"name": "test",
"device": "Sample group",
"command": "show ip br",
"template": "Value FIRST_WORD (S+)\n\nStart\n ^FIRST_WORD.* -> Record",
"text": "some sample text to match against",
"type": "test",
"projectId": null,
"createdBy": "6925676da99ccacc07b2fd9e",
"created": "2019-11-25T22:51:39.201Z",
"lastModifiedBy": "173f2210cb61272f8409de32",
"lastUpdated": "2019-11-25T22:51:39.201Z",
"version": 1,
"tags": [
{
"_id": "8283c5da557dff6e4cd0ece6",
"name": "ad"
},
{
"_id": "4fced605257ccbeb403b5af4",
"name": "elit et nulla velit"
},
{
"_id": "24133aeaf60b4e545391a8f9",
"name": "dolor in dolor"
},
{
"_id": "42eca41986d541c6743870e3",
"name": "culpa velit"
},
{
"_id": "baf2138bf296bd3ba70ee27e",
"name": "aliqua dolor nulla cupidatat"
}
]
}